# <img src="https://www.koozali.org/images/koozali/Logo/Png/Koozali_logo_2016.png" width="25%" vertical="auto" style="vertical-align:bottom"> smeserver-koji

# Koji Setup Scripts

The purpose of these scripts it to enable setting up a koji environment quickly
with reasonable configurations.

These scripts have been borrowed from Clear Linux and modified to suit the smeserver (Koozali.org) setup.

## Assumptions

* All scripts are run as the root user
* The root user has a password set
* These are run on a bare Rocky 8 minimal install
* Basic configurations (e.g. network, time, etc.) have been applied
* Only one koji builder is required

## Getting Going

1. Copy these scripts into your ~/bin directory and make sure they are executeable

        mkdir -p ~/bin
        cp <path where you copied the scripts> ~/bin/.
        chmod a+x ~/bin/*.sh

1. Edit parameters.sh as needed. If running in a production environment, be
sure to supply reasonable SSL certificate field values.

1. Run the required following scripts

        deploy-koji.sh
        bootstrp-build.sh

1. Optionally, for supporting a full DevOps workflow, also run

        deploy-mash.sh
        deploy-git.sh
        deploy-upstreams.sh

If koji builder machine is not the same as koji master machine:

1. On the koji master machine, run

        deploy-koji-nfs-server.sh

1. Copy the koji builder certificate from the koji master machine to the koji
builder machine

        scp "$KOJI_PKI_DIR/$KOJI_SLAVE_FQDN.pem" "$KOJI_SLAVE_FQDN":"$KOJI_PKI_DIR"

1. On the koji builder machine, run

        deploy-koji-nfs-client.sh
        deploy-koji-builder.sh
